libxfce4util-dev_4.14.0-1_i386.deb


Advertisement

Description

libxfce4util-dev - Development files for libxfce4util7

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package filename libxfce4util-dev_4.14.0-1_i386.deb
Package name libxfce4util-dev
Package version 4.14.0
Package release 1
Package architecture i386
Package type deb
Category devel::lang:c devel::library implemented-in::c role::devel-lib suite::xfce uitoolkit::gtk xfce
Homepage https://www.xfce.org/
License -
Maintainer Debian Xfce Maintainers <debian-xfce@lists.debian.org>
Download size 93.05 KB
Installed size 358.00 KB

Alternatives

Package Version Architecture Repository
libxfce4util-dev_4.14.0-1_amd64.deb 4.14.0 amd64 Debian Main
libxfce4util-dev - - -

Requires

Name Value
libglib2.0-dev -
libxfce4util7 = 4.14.0-1

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libxfce4util-dev_4.14.0-1_i386.deb
Source Package libxfce4util

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libxfce4util-dev deb package:
    # sudo apt-get install libxfce4util-dev

Files

Path
/usr/include/xfce4/libxfce4util/libxfce4util-config.h
/usr/include/xfce4/libxfce4util/libxfce4util.h
/usr/include/xfce4/libxfce4util/xfce-debug.h
/usr/include/xfce4/libxfce4util/xfce-fileutils.h
/usr/include/xfce4/libxfce4util/xfce-generics.h
/usr/include/xfce4/libxfce4util/xfce-i18n.h
/usr/include/xfce4/libxfce4util/xfce-kiosk.h
/usr/include/xfce4/libxfce4util/xfce-license.h
/usr/include/xfce4/libxfce4util/xfce-miscutils.h
/usr/include/xfce4/libxfce4util/xfce-posix-signal-handler.h
/usr/include/xfce4/libxfce4util/xfce-rc.h
/usr/include/xfce4/libxfce4util/xfce-resource.h
/usr/include/xfce4/libxfce4util/xfce-utf8.h
/usr/lib/i386-linux-gnu/libxfce4util.so
/usr/lib/i386-linux-gnu/pkgconfig/libxfce4util-1.0.pc
/usr/share/doc/libxfce4util-dev/NEWS.gz
/usr/share/doc/libxfce4util-dev/TODO
/usr/share/doc/libxfce4util-dev/changelog.Debian.gz
/usr/share/doc/libxfce4util-dev/changelog.gz
/usr/share/doc/libxfce4util-dev/copyright
/usr/share/gtk-doc/html/libxfce4util/annotation-glossary.html
/usr/share/gtk-doc/html/libxfce4util/home.png
/usr/share/gtk-doc/html/libxfce4util/index.html
/usr/share/gtk-doc/html/libxfce4util/left-insensitive.png
/usr/share/gtk-doc/html/libxfce4util/left.png
/usr/share/gtk-doc/html/libxfce4util/libxfce4util-File-Utilities.html
/usr/share/gtk-doc/html/libxfce4util/libxfce4util-Internationalisation.html
/usr/share/gtk-doc/html/libxfce4util/libxfce4util-POSIX-Signal-Handling.html
/usr/share/gtk-doc/html/libxfce4util/libxfce4util-Resource-Config-File-Support.html
/usr/share/gtk-doc/html/libxfce4util/libxfce4util-Resource-lookup-functions.html
/usr/share/gtk-doc/html/libxfce4util/libxfce4util-Software-Licenses.html
/usr/share/gtk-doc/html/libxfce4util/libxfce4util-Unicode-Support-Functions.html
/usr/share/gtk-doc/html/libxfce4util/libxfce4util-Version-Information.html
/usr/share/gtk-doc/html/libxfce4util/libxfce4util-Xfce-Generics.html
/usr/share/gtk-doc/html/libxfce4util/libxfce4util-Xfce-Kiosk-functions.html
/usr/share/gtk-doc/html/libxfce4util/libxfce4util-core.html
/usr/share/gtk-doc/html/libxfce4util/libxfce4util-datatypes.html
/usr/share/gtk-doc/html/libxfce4util/libxfce4util-fundamentals.html
/usr/share/gtk-doc/html/libxfce4util/libxfce4util-utilities.html
/usr/share/gtk-doc/html/libxfce4util/libxfce4util.devhelp2
/usr/share/gtk-doc/html/libxfce4util/reference.html
/usr/share/gtk-doc/html/libxfce4util/right-insensitive.png
/usr/share/gtk-doc/html/libxfce4util/right.png
/usr/share/gtk-doc/html/libxfce4util/style.css
/usr/share/gtk-doc/html/libxfce4util/up-insensitive.png
/usr/share/gtk-doc/html/libxfce4util/up.png

Changelog

2019-08-14 - Yves-Alexis Perez <corsac@debian.org>
libxfce4util (4.14.0-1) unstable; urgency=medium
[ Unit 193 ]
* New upstream version 4.14.0
* d/rules: Pass '--enable-gtk-doc' during configure to fix consecutive builds.
2019-07-15 - Yves-Alexis Perez <corsac@debian.org>
libxfce4util (4.13.4-1) experimental; urgency=medium
[ Unit 193 ]
* d/p/*, d/rules: Add all patches, but guard based on dpkg-vendor.
[ Mateusz Łukasik ]
* New upstream version 4.13.4
[ Yves-Alexis Perez ]
* d/control: update standards version to 4.4.0
2019-06-09 - Yves-Alexis Perez <corsac@debian.org>
libxfce4util (4.13.3-1) experimental; urgency=medium
* New upstream version 4.13.3
* d/control: update standards version to 4.3.0
* d/control: drop Lionel from uploaders, thanks!
* use debhelper-compat b-d for dh compatibility level
* d/libxfce4util7.symbols updated for new release
* Ubuntu-specific patch series dropped
2018-07-09 - Yves-Alexis Perez <corsac@debian.org>
libxfce4util (4.13.2-1) experimental; urgency=medium
[ Yves-Alexis Perez ]
* Moved the package to git on salsa.debian.org
* Updated the maintainer address to debian-xfce@lists.debian.org
closes: #899865
* d/gbp.conf added, following DEP-14
[ Unit 193 ]
* New upstream development release.
* d/compat, d/control: Bump dh compat to 11.
* d/control, d/copyright, d/watch: Use https where possible.
* d/control:
- Build-depend on xfce4-dev-tools and gtk-doc-tools for autoreconf.
- Drop versioned build-depend on dpkg-dev.
* d/rules: Drop --parallel and --disable-silent-rules, dh defaults now.
* Update Standards-Version to 4.1.4.
* Remove trailing whitespace in debian/ files.
2017-10-21 - Yves-Alexis Perez <corsac@debian.org>
libxfce4util (4.13.1-1) experimental; urgency=medium
[ Unit 193 ]
* New upstream development release.
* d/rules:
- Use dh_missing instead of dh_install --fail-missing.
[ Yves-Alexis Perez ]
* debian/control:
- update standards version to 4.1.1.
- put libxfce4util7 to section libs.
* Run wrap-and-sort.
2017-06-23 - Yves-Alexis Perez <corsac@debian.org>
libxfce4util (4.13.0-1) experimental; urgency=medium
[ Yves-Alexis Perez ]
* New upstream development release.
* debian/control:
- update standards version to 4.0.0
- run wrap-and-sort.
* debian/patches:
- 02_fix-abicheck removed, included upstream.
* debian/libxfce4util7.symbols updated for new release.
[ Unit 193 ]
* d/control, d/rules: Migrate to dbgsym packages.
2016-11-12 - Yves-Alexis Perez <corsac@debian.org>
libxfce4util (4.12.1-3) unstable; urgency=medium
[ Helmut Grohne ]
* Add Multi-Arch stanzas                                      closes: #842563
+ libxfce4util-common: foreign
+ libxfce4util7, libxfce4util7-dbg, libxfce4util-dev: same
2015-05-06 - Yves-Alexis Perez <corsac@debian.org>
libxfce4util (4.12.1-2) unstable; urgency=medium
* Upload to unstable.
2015-03-08 - Yves-Alexis Perez <corsac@debian.org>
libxfce4util (4.12.1-1) experimental; urgency=medium
[ Mateusz Łukasik ]
* New upstream release.
* Bump standards version to 3.9.6
* Bump soname 6 to 7.
[ Yves-Alexis Perez ]
* debian/libxfce4util7.symbols updated for new soname.
* debian/control:
- libxfce4util-dev: drop useless Breaks/Replaces on libxfce4util6-dev
package since it doesn't exist.
2014-02-23 - Yves-Alexis Perez <corsac@debian.org>
libxfce4util (4.11.0-1) experimental; urgency=low
[ Evgeni Golov ]
* Correct Vcs-* URLs to point to anonscm.debian.org
[ Jackson Doak ]
* New upstream release
* Bump standards version to 3.9.5
* debian/rules: Add disable-silent-rules
* debian/copyright: Don't use symlink licenses
* Update symbols

See Also

Package Description
libxfce4util7_4.14.0-1_i386.deb Utility functions library for Xfce4
libxfconf-0-3_4.14.1-1_i386.deb Client library for Xfce4 configure interface
libxfconf-0-dev_4.14.1-1_i386.deb Development files for libxfconf
libxfixes-dev_5.0.3-1_i386.deb X11 miscellaneous 'fixes' extension library (development headers)
libxfixes3_5.0.3-1_i386.deb X11 miscellaneous 'fixes' extension library
libxfont-dev_2.0.3-1_i386.deb X11 font rasterisation library (development headers)
libxfont2_2.0.3-1_i386.deb X11 font rasterisation library
libxft-dev_2.3.2-2_i386.deb FreeType-based font drawing library for X (development files)
libxft2_2.3.2-2_i386.deb FreeType-based font drawing library for X
libxgks-dev_2.6.1+dfsg.2-5+b1_i386.deb X11 Graphical Kernel Subsystem, development files
libxgks2-data_2.6.1+dfsg.2-5_all.deb Font files for the X11 Graphical Kernel Subsystem
libxgks2_2.6.1+dfsg.2-5+b1_i386.deb X11 Graphical Kernel Subsystem, library
libxi-dev_1.7.9-1_i386.deb X11 Input extension library (development headers)
libxi6_1.7.9-1_i386.deb X11 Input extension library
libxine2-all-plugins_1.2.9-1_all.deb xine video/media player library ‒ metapackage for all plugins
Advertisement
Advertisement